declare namespace Cypress {
  interface Cypress {
    stylesCache: any
    React: string
    ReactDOM: string
    Styles: string
  }
  // NOTE: Not using the React.Component/Element type
  // for many cases, we don't want to import @types/react
  interface Chainable<Subject = any> {
    injectReactDOM: () => Chainable<void>
    copyComponentStyles: (component: Symbol) => Chainable<void>
    mount: (component: Symbol, alias?: string) => Chainable<void>
  }
}
